Bug 103702 - VNC install needs to support reverse connection
VNC install needs to support reverse connection
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-09-03 19:11 EDT by Micah Parrish
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-01-23 12:24:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Micah Parrish 2003-09-03 19:11:27 EDT
When install over VNC, it is difficult to know in advance which network adapter
is going to be selected, and what IP address is going to be assigned.

This can be fixed by making anaconda support REVERSE vnc connections to a
listening VNC client.  It is well documented how to do this with vnc proper, so
it ought to be a piece of cake to integrate into anaconda.  Also, it will make
the vnc install feature useful rather than a mere curiosity.
Comment 1 Jeremy Katz 2003-09-03 21:55:05 EDT
Already there, add 'vncconnect=host:port' to your boot command-line (was added
too late to make it into the B2 release notes :)
Comment 2 Micah Parrish 2003-09-09 12:20:58 EDT

I tested the undocumented uption you described by booting RHEL3 on a Long's Peak
Madison server with the boot line:
linux vnc vncconnect= (which is the host IP and port of my an
xvncviewer running in listen mode).  I went through the inital Test Install
Media/Skip, Language, etc. stuff, and then anaconda abnormally terminated.

I am reassigning this to you.

Micah Parrish
Comment 3 Micah Parrish 2003-09-09 12:24:19 EDT
Adding katzj@redhat.com to CC list.  I doubt I really assigned this properly.
Comment 4 Micah Parrish 2004-01-23 12:24:21 EST
This has been fixed, so I'm closing it.

Note You need to log in before you can comment on or make changes to this bug.